# 6. 3D Scanning and printing

Our focus this week was to test the design rules for our 3D printers. In our lab we split
up and testing the Prusa Mini, Bambu X1 Carbon and Formlabs 3B. You can see it [here](https://fabacademy.org/2023/labs/charlotte/assignments/week06/). In general it seems to have some variability by machine and even by filament. Knowing your
machines and supplies will lead to more consistent results.


individual assignment:
- design and 3D print an object (small, few cm3, limited by printer time) that could not be made substantively
- 3D scan an object (and optionally print it)


## Spinning bracelet 

I like ball bearing and so I wanted to make a bracelet that have some similarity.

I started off with Fusion360 

I set up a sketch to set up overlapping profiles and then used the revolve functions to create the 
basic shape 

![Bracelet](../images/ImagW5/2BRACELT.jpg)

I created a sliced view so I can make sure we have an designed that would stay together but be far 
enough apart for each part to spin independently  

![Slice](../images/ImagW5/3SLICE.jpg)

I decided to add some holes for design and in order to see the internal workings a bit better

![Holes](../images/ImagW5/4HOLE.jpg)

Here is an overview view of the bracelet. 

![Holes](../images/ImagW5/5BRACELET.jpg)

Rounded out all the edges 

![Holes](../images/ImagW5/6Filit.jpg)

Set it up for printing in the Prusa slicer

![Slice](../images/ImagW5/9prusa.jpg)

The first print failed 

![Fail](../images/ImagW5/12fail.jpg)

I gather it was because the bottom of the middle ring was a little high then the other two and so I sliced it 
again with support 

It printed this time but the post production effort to take out all the support was high and left the print looking 
not great in my opinion 

![support](../images/ImagW5/13support.jpg)

![support](../images/ImagW5/13cleaning.jpg)


I wanted to print it without support and so I  went back to the design and created a construction line and used a
constraint to make all the pieces aligned.


![Support](../images/ImagW5/10editsketch.jpg)

![cleaning](../images/ImagW5/11cinstrants.jpg)


That was much better!!

![clean](../images/ImagW5/14clean.jpg)

An here you can see the print in place piece all moving independently 

<iframe width="560" height="315" src=../../images/ImagW5/Rings.mp4 frameborder="0" allowfullscreen></iframe>  



## 3D Scanning

This was a bit more of an issue and having decided to use my phone as a starting point i trying a number of apps

I tried SCANN3D and Polycam 

For the SCANN3D I have tried 2 different objects and 

# SCANN3D 
1. Clementine / Stainless steel jar - Fail 

At first I thought it was going ok but then if started failing 

![SCANN3D](../images/ImagW5/Scan1.jpg)

![Fail](../images/ImagW5/SCAN2.jpg)

and then started crashing 

![Crash](../images/ImagW5/SCAN3.jpg)

Given I following the instruction in detail I decided to try another app before spending too much time on this one


2. Polycam - first tried to scan a remote control but never got enough of the Z and it merged into the 
ground  

In this app, you choose to add a capture and then you slowly take a video of your object from all side or pictures

Then you upload to get the 3D image 

![Remote](../images/ImagW5/SCAN4.jpg)

I decided to use a plate and try and avocado It was better but captured a lot of the back ground so I decided to
crop it which was easy in the app

![Avocado](../images/ImagW5/SCAN5.jpg)


![Avocado2](../images/ImagW5/SCAN6.jpg)

This was better but sill not did not separate from the ground

I change my approach and use a ketchup bottle and working on the angles of the pictures I was taking 

![Ketchup](../images/ImagW5/SCAN7.jpg)

The angle and overlap of the pictures seem to help but we were still off. 

I decided to try my little bulldog ceramic and did 2 full 360 with different angles and got a pretty good 
output after I cropped it

![Bulldog crop](../images/ImagW5/SCAN8.jpg)

![Bulldog](../images/ImagW5/SCAN9.jpg)


Here are the files for this week 

[Bracelet Fusion](../files/3print/Bracelet.f3d)

[Bracelet Prusa Slicer](../files/3print/bracelet.3mf)

[Bulldog STL](../files/3print/BulldogSTL.zip)

